# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.core.validators


class Migration(migrations.Migration):
    dependencies = [
        ('samples', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='sample',
            name='contained_in',
            field=models.ForeignKey(verbose_name='bag', to='bags.Bag', related_name='sample', unique=True),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='sample',
            name='cylinder',
            field=models.ForeignKey(verbose_name='cylinder', blank=True, to='referencegases.ReferenceGas', null=True,
                                    related_name='samples'),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='sample',
            name='factor',
            field=models.FloatField(verbose_name='dilution', default=1.0,
                                    validators=[django.core.validators.MinValueValidator(limit_value=1.0)]),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='sample',
            name='project',
            field=models.ForeignKey(verbose_name='project', blank=True, to='projects.Project', null=True,
                                    related_name='samples'),
            preserve_default=True,
        ),
    ]
